Package ghidra.service.graph

# Class AttributedEdge

java.lang.Object
ghidra.service.graph.Attributed
ghidra.service.graph.AttributedEdge

public class AttributedEdge extends Attributed
Generic directed graph edge implementation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EDGE_TYPE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributedEdge(String id)`
  Constructs a new GhidraEdge

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getEdgeType()`
  Returns the edge type for this edge
  `String`
  `getId()`
  Returns the id for this edge
  `int`
  `hashCode()`
  `void`
  `setEdgeType(String edgeType)`
  Sets the edge type for this edge.
  `String`
  `toString()`

  ### Methods inherited from class ghidra.service.graph.Attributed

  `clear, entrySet, getAttribute, getAttributes, getDescription, hasAttribute, isEmpty, keys, putAttributes, removeAttribute, setAttribute, setDescription, size, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EDGE_TYPE_KEY

    public static final String EDGE_TYPE_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttributedEdge

    public AttributedEdge(String id)
    Constructs a new GhidraEdge
    Parameters:
      `id` - the unique id for the edge

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()
    Returns the id for this edge
    Returns:
      the id for this edge

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getEdgeType

    public String getEdgeType()
    Returns the edge type for this edge
    Returns:
      the edge type for this edge

  - ### setEdgeType

    public void setEdgeType(String edgeType)
    Sets the edge type for this edge. Should be a value defined by the `GraphType` for this graph, but there is no enforcement for this. If the value is not defined in GraphType, it will be rendered using the default edge color for `GraphType`
    Parameters:
      `edgeType` - the edge type for this edge